#ifndef _HEXFILE_H
#define _HEXFILE_H

#define ENV_INFO_PATH  "NRF24PROG"
#define DEVICE_MEMORY_SIZE 0x10000

unsigned char *get_device_memory(int erase);
unsigned char *get_verify_memory(int erase);
int verify_device_memory(int addr, int size);
void dump_device_memory(unsigned char reclen);
int load_hex_file(const char *filename);
int load_bin_file(const char *filename);
int save_hex_file0(const char *filename, unsigned char *buffer, int buflen, unsigned char reclen);
int save_hex_file(const char *filename, unsigned char reclen);
int save_dsys_to_file(const char *device, unsigned char *buffer, int buflen, unsigned char reclen);
int get_devicename_from_dsys(char *device, unsigned char *dsysbuf);

#endif // _HEXFILE_H